<html xmlns:th="https://www.thymeleaf.org"
  th:replace="~{fragments/layout :: layout (~{::body},'mentors')}">

<body>

  <h2>
    <th:block th:if="${mentee['new']}">New </th:block>
    Mentee
  </h2>
  <form th:object="${mentee}" class="form-horizontal" method="post">
    <input type="hidden" name="id" th:value="*{id}" />
    <div class="form-group has-feedback">
      <div class="form-group">
        <label class="col-sm-2 control-label">Mentor</label>
        <div class="col-sm-10">
          <span th:text="${mentee.mentor?.firstName + ' ' + mentee.mentor?.lastName}" />
        </div>
      </div>
      <input
        th:replace="~{fragments/inputField :: input ('Name', 'name', 'text')}" />
      <input
        th:replace="~{fragments/inputField :: input ('Birth Date', 'birthDate', 'date')}" />
      <input
        th:replace="~{fragments/selectField :: select ('Type', 'type', ${types})}" />
         </div>
    <div class="form-group">
      <div class="col-sm-offset-2 col-sm-10">
        <button
          th:with="text=${mentee['new']} ? 'Add Mentee' : 'Update Mentee'"
          class="btn btn-default" type="submit" th:text="${text}">Add
          Mentee</button>
      </div>
    </div>
  </form>

</body>

</html>
